Loading...
Searching...
No Matches
casacore::MSAntennaIndex Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSAntennaIndex.h>`

## Public Member Functions

| MSAntennaIndex (const MSAntenna &antenna)
| Construct from an MS ANTENNA subtable.
virtual | ~MSAntennaIndex ()
| Null destructor.
Vector< Int > | matchAntennaRegexOrPattern (const String &pattern, const Bool regex=False)
| Look up ANTENNA_ID's for a given a regular expression or pattern.
Vector< Int > | matchAntennaName (const String &name)
| Look up ANTENNA_ID's for a given antenna name, or set of antenna names.
Vector< Int > | matchAntennaName (const Vector< String > &names)
Vector< Int > | matchStationRegexOrPattern (const String &pattern, const Bool regex=False)
| Look up ANTENNA_ID's for a given antenna station.
Vector< Int > | matchStationName (const String &station)
Vector< Int > | matchStationName (const Vector< String > &station)
Vector< Int > | matchAntennaNameAndStation (const String &name, const String &station)
| Look up ANTENNA_ID's for a given antenna and station name pair.
Vector< Int > | matchId (const Vector< Int > &sourceId)

## Private Member Functions

| MSAntennaIndex ()
| Default constructor.

## Private Attributes

MSAntennaColumns | msAntennaCols_p
| ANTENNA subtable column accessor.
Vector< Int > | antennaIds_p
| Vector cache of antenna id's.
Vector< Int > | stationIds_p
Int | nrows_p

## Detailed Description

Class to handle lookup or indexing into a MS ANTENNA subtable

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSAntenna

### Etymology

From "MeasurementSet", "ANTENNA subtable" and "index".

### Synopsis

This class provides lookup and indexing into an MS ANTENNA subtable. These services include returning rows numbers (which for the ANTENNA subtable are ANTENNA_ID's) associated with specific data in the subtable.

### Example

### Motivation

Collect together all subtable indexing and lookup for the ANTENNA subtable, for encapsulation and efficiency.

### Thrown Exceptions

Definition at line 79 of file MSAntennaIndex.h.

## Constructor & Destructor Documentation

## MSAntennaIndex() [1/2]

casacore::MSAntennaIndex::MSAntennaIndex | ( | const MSAntenna & | antenna | ) |

Construct from an MS ANTENNA subtable.

## ~MSAntennaIndex()

virtual casacore::MSAntennaIndex::~MSAntennaIndex | ( |  | ) |

inline virtual

Null destructor.

Definition at line 86 of file MSAntennaIndex.h.

## MSAntennaIndex() [2/2]

casacore::MSAntennaIndex::MSAntennaIndex | ( |  | ) |

private

Default constructor.

## Member Function Documentation

## matchAntennaName() [1/2]

Vector< Int > casacore::MSAntennaIndex::matchAntennaName | ( | const String & | name | ) |

Look up ANTENNA_ID's for a given antenna name, or set of antenna names.

References casacore::name().

## matchAntennaName() [2/2]

Vector< Int > casacore::MSAntennaIndex::matchAntennaName | ( | const Vector< String > & | names | ) |

## matchAntennaNameAndStation()

Vector< Int > casacore::MSAntennaIndex::matchAntennaNameAndStation | ( | const String & | name,
|  | const String & | station )

Look up ANTENNA_ID's for a given antenna and station name pair.

References casacore::name().

## matchAntennaRegexOrPattern()

Vector< Int > casacore::MSAntennaIndex::matchAntennaRegexOrPattern | ( | const String & | pattern,
|  | const Bool | regex = False )

Look up ANTENNA_ID's for a given a regular expression or pattern.

References casacore::False, casacore::pattern(), and casacore::regex().

## matchId()

Vector< Int > casacore::MSAntennaIndex::matchId | ( | const Vector< Int > & | sourceId | ) |

## matchStationName() [1/2]

Vector< Int > casacore::MSAntennaIndex::matchStationName | ( | const String & | station | ) |

## matchStationName() [2/2]

Vector< Int > casacore::MSAntennaIndex::matchStationName | ( | const Vector< String > & | station | ) |

## matchStationRegexOrPattern()

Vector< Int > casacore::MSAntennaIndex::matchStationRegexOrPattern | ( | const String & | pattern,
|  | const Bool | regex = False )

Look up ANTENNA_ID's for a given antenna station.

References casacore::False, casacore::pattern(), and casacore::regex().

## Member Data Documentation

## antennaIds_p

Vector<Int> casacore::MSAntennaIndex::antennaIds_p

private

Vector cache of antenna id's.

Definition at line 111 of file MSAntennaIndex.h.

## msAntennaCols_p

MSAntennaColumns casacore::MSAntennaIndex::msAntennaCols_p

private

ANTENNA subtable column accessor.

Definition at line 108 of file MSAntennaIndex.h.

## nrows_p

Int casacore::MSAntennaIndex::nrows_p

private

Definition at line 112 of file MSAntennaIndex.h.

## stationIds_p

Vector<Int> casacore::MSAntennaIndex::stationIds_p

private

Definition at line 111 of file MSAntennaIndex.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSAntennaIndex.h